gdcm::CAPICryptographicMessageSyntax Class Reference

`#include <gdcmCAPICryptographicMessageSyntax.h>`

Inheritance diagram for gdcm::CAPICryptographicMessageSyntax:
[legend]
Collaboration diagram for gdcm::CAPICryptographicMessageSyntax:
[legend]

## Public Member Functions

| CAPICryptographicMessageSyntax ()
| ~CAPICryptographicMessageSyntax ()
bool | Decrypt (char *output, size_t &outlen, const char *array, size_t len) const
| decrypt content from a CMS envelopedData structure
bool | Encrypt (char *output, size_t &outlen, const char *array, size_t len) const
| create a CMS envelopedData structure
CipherTypes | GetCipherType () const
bool | GetInitialized () const
bool | ParseCertificateFile (const char *filename)
bool | ParseKeyFile (const char *filename)
void | SetCipherType (CipherTypes type)
bool | SetPassword (const char *pass, size_t passLen)
Public Member Functions inherited from gdcm::CryptographicMessageSyntax
| CryptographicMessageSyntax ()=default
| CryptographicMessageSyntax (const CryptographicMessageSyntax &)=delete
virtual | ~CryptographicMessageSyntax ()=default
void | operator= (const CryptographicMessageSyntax &)=delete

## Additional Inherited Members

Public Types inherited from gdcm::CryptographicMessageSyntax
enum | CipherTypes { DES3_CIPHER , AES128_CIPHER , AES192_CIPHER , AES256_CIPHER }

## Constructor & Destructor Documentation

## CAPICryptographicMessageSyntax()

gdcm::CAPICryptographicMessageSyntax::CAPICryptographicMessageSyntax | ( |  | ) |

## ~CAPICryptographicMessageSyntax()

gdcm::CAPICryptographicMessageSyntax::~CAPICryptographicMessageSyntax | ( |  | ) |

## Member Function Documentation

## Decrypt()

bool gdcm::CAPICryptographicMessageSyntax::Decrypt | ( | char * | output,
|  | size_t & | outlen,
|  | const char * | array,
|  | size_t | len ) const

virtual

decrypt content from a CMS envelopedData structure

Implements gdcm::CryptographicMessageSyntax.

## Encrypt()

bool gdcm::CAPICryptographicMessageSyntax::Encrypt | ( | char * | output,
|  | size_t & | outlen,
|  | const char * | array,
|  | size_t | len ) const

virtual

create a CMS envelopedData structure

Implements gdcm::CryptographicMessageSyntax.

## GetCipherType()

CipherTypes gdcm::CAPICryptographicMessageSyntax::GetCipherType | ( |  | ) | const

virtual

Implements gdcm::CryptographicMessageSyntax.

## GetInitialized()

bool gdcm::CAPICryptographicMessageSyntax::GetInitialized | ( |  | ) | const

inline

## ParseCertificateFile()

bool gdcm::CAPICryptographicMessageSyntax::ParseCertificateFile | ( | const char * | filename | ) |

virtual

Implements gdcm::CryptographicMessageSyntax.

## ParseKeyFile()

bool gdcm::CAPICryptographicMessageSyntax::ParseKeyFile | ( | const char * | filename | ) |

virtual

Implements gdcm::CryptographicMessageSyntax.

## SetCipherType()

void gdcm::CAPICryptographicMessageSyntax::SetCipherType | ( | CipherTypes | type | ) |

virtual

Implements gdcm::CryptographicMessageSyntax.

## SetPassword()

bool gdcm::CAPICryptographicMessageSyntax::SetPassword | ( | const char * | pass,
|  | size_t | passLen )

virtual

Implements gdcm::CryptographicMessageSyntax.

The documentation for this class was generated from the following file:

- gdcmCAPICryptographicMessageSyntax.h